shishi_tkt_forwarded_p(3)

NAME
shishi_tkt_forwarded_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_forwarded_p(Shishi_tkt * tkt);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

DESCRIPTION
Determine if ticket is forwarded. The FORWARDED flag is set by the TGS when a client presents a ticket with the FORWARDABLE flag set and requests a forwarded ticket by specifying the FORWARDED KDC option and supplying a set of addresses for the new ticket. It is also set in all tickets issued based on tickets with the FORWARDED flag set. Application servers may choose to process FORWARDED tickets differently than non-FORWARDED tickets.

RETURN VALUE
Returns non-0 iff forwarded flag is set in ticket.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.